﻿@{
    ViewBag.Title = "Unlock";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<style type="text/css">
    
     
.buttoncss
            {
                border:0px;
                background-color:transparent;
                background-image:url("../Content/images/login_button.png");    
                width:103px;
                height:42px;
            }
.wrapping {
	width: 100%;
	margin-right: auto;
	margin-left: auto;
}


.seal_image {
	float: right;
	width: 100px;
	margin-left: 40px;
}



.content {
	margin-top: 13px;
	width: 100%;
	float: left;
	clear: both;
}

.table_app 
{
    position: relative;
    left: -17px;
}

.content .right_content 
{
    padding-top: 9px;
	float: right;
	width: 488px;
}
.content .right_content .table_app {
	float: right;
	height: 198px;
	width: 458px;
	margin-top:-4px;
	padding-top:0px;
	margin-right: 7px;
}


.content .left_content {
	float: left;
	width: 487px;
}

.content .left_content .login_box {
	float: left;
	height: 273px;
	width: 334px;
	background-image: url("../../Content/images/boxbg1.png");
	padding-top: 20px;
	padding-right: 51px;
	padding-left: 58px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #ebebeb;
	background-repeat: no-repeat;
	background-position: left top;
}

.content .left_content .login_box h2 {
	padding:0;
	margin:0;
	color: #ebebeb;
	font: bold 40px "Calibri", Arial;
}

.content .left_content .login_box .login_box_name {
	float: left;
	display:inline;
	width:80px;
	text-align: left;
	padding: 14px 14px 0 0;
	margin:0 0 7px 0;
}

.content .left_content .login_box #login_drop_name {
	float: left;
	display:inline;
	width:80px;
	text-align: left;
	margin-top: 0;
	margin-right: 0;
	margin-bottom: 7px;
	margin-left: 0;
	padding-right: 14px;
	padding-bottom: 0;
	padding-left: 0;
	padding-top: 3px;
}
.content .left_content .login_box .login_box_field {
	float: left;
	display:inline;
	width:230px;
	margin:0;
	margin:0 0 7px 0;
}

.form-login  
{
    height:12px;
	width: 205px;
	padding: 10px 4px 6px 3px;
	border: 1px solid #0d2c52;
	background-color:#1e4f8a;
	font-size: 16px;
	color: #ebebeb;
}

.login-box-options  {
	
	padding-left:87px;
	margin-left: 4px;
	font-size: 11px;
	float: left;
}

.drop-login  {
	width: 214px;
	border: 1px solid #0d2c52;
	background-color:#1e4f8a;
	font-size: 12px;
	color: #ebebeb;
	height: 20px;
}

.login-box-options a {
	color: #ebebeb;
	font-size: 11px;
}

.content .left_content .login_box .login_button {
	width: 100%;
	margin-left: 95px;
	margin-top: 10px;
	float: left;
}

.content .left_content .login_box .login_error {
	width: 303px;
	margin-left: 10px;
	margin-top: 10px;
	float: left;
	
}

.content .left_content .forget_box {
	width: 425px;
	float: left;
	padding-right: 9px;
	padding-left: 9px;
}

.left_content 
{
    position:relative;
    top:-4px;
    left:-6px;
}

#footer {
	font-size: 11px;
	font-weight: bold;
	color: #605f5f;
	text-align: center;
	margin-top: 10px;
	height: 11px;
	margin-bottom: 13px;
}
.content .left_content .def_box {
	height: 181px;
	width: 330px;
	margin-left: 7px;
	background-image: url("../../Content/images/defapp_bg.png");
	background-repeat: repeat-x;
	padding-top: 17px;
	padding-right: 73px;
	padding-left: 73px;
	margin-top: 9px;
	font-family: Arial, Helvetica, sans-serif;
	color: #FFFFFF;
}

.def_box h3{
	padding:0;
	margin:0;
	color: #b5fef8;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	font-weight: bold;
	text-align: center;	
}

.content .left_content .def_box .def_text {
	text-align: center;
	font-size: 14px;
	color: #FFFFFF;
	margin-top: 12px;
	float: left;
	width: 330px;
}
.content .left_content .def_box .def_drop {
	float: left;
	margin-top: 2px;
	width: 330px;
	text-align: center;
}
.content .left_content .def_box .def_button {
	float: left;
	margin-top: 50px;
	width: 330px;
}

#best_view {
	font-size: 10px;
	font-style: italic;
	color: #605f5f;
	text-align: center;
	margin-top: 15px;
	width: 100%;
	float: left;
}
#best_view a{
	color: #605f5f;
	text-decoration:none;
}
#best_view a:hover{
	color: #605f5f;
	text-decoration:underline;
}


</style>

 <script type="text/javascript">

     $(document).ready(function () {
         txtPasswordUnlock.value = "";
     });

     function supressShiftEnter(e) {
         //shift enter is pressed
         var evtobj = window.event ? event : e
         if (event.keyCode == 13 && evtobj.shiftKey) {
             var form = evtobj.srcElement.form;
             //try to submit the form
             try {
                 if (typeof form.submit == 'function')
                     form.submit();
                 else
                     form.submit.click();
             }
             finally {
                 return false;
             }
         }
         return true;
     }

     function handleShiftEnter(parId) {
         var textArea = document.getElementById(parId);
         if (textArea.addEventListener) {  // all browsers except IE before version 9
             textArea.addEventListener("keypress", function () { supressShiftEnter(textArea) }, false);
             textArea.addEventListener("keydown", function () { supressShiftEnter(textArea) }, false);
         }
         else {
             if (textArea.attachEvent) {   // IE before version 9
                 textArea.attachEvent("onkeypress", function () { supressShiftEnter(textArea) });
                 textArea.attachEvent("onkeydown", function () { supressShiftEnter(textArea) });
             }
         }
     }

</script>

<div class="content">
    <div class="left_content" style="margin: auto; float: none;">
        <div class="login_box">
            <h2 style="text-align: center">Unlock</h2>
            <!-- Main Login Area -->
            @using (Html.BeginForm("UnlockApp", "Unlock", FormMethod.Post))
            {
                @Html.ValidationSummary(true) 
                <div class="login_box_name">Username</div>
                <div class="login_box_field">
                    <div class="form-login" style="background-color: transparent; border-style: hidden; height: 14px;">
                        @ViewData["Username"]
                    </div>
                    <input name="Username" type="hidden" value="@ViewData["UserID"]" style="visibility:collapse" /> 
                </div>
                <div class="login_box_name">Password</div>
                <div class="login_box_field">
                    <input id="txtPasswordUnlock" name="password" type="password" class="form-login" title="Password" 
                        size="30" maxlength="2048" style="vertical-align: middle; height: 18px;" keypress="supressShiftEnter" onfocus="handleShiftEnter('txtPasswordUnlock')" />
                </div>
                                
                <div class="login_button">
                    @Html.DevExpress().Button(
                                        settings =>
                                        {
                                            settings.Name = "cmdUnlock";
                                            settings.Text = "Unlock";
                                            settings.ControlStyle.Font.Bold = true;
                                            settings.Width = 100;
                                            settings.Height = 35;
                                            settings.UseSubmitBehavior = true;
                                            settings.ClientSideEvents.GotFocus = "handleShiftEnter('cmdUnlock')";
                                        }
                                    ).GetHtml()
                </div>
                <div style="text-align: center; width: 100%;" class="login_error">

                    @if (ViewData["ErrorMessage"] != null && ViewData["ErrorMessage"].ToString().Trim() != "")
                    {
                        <img src="@Url.Content("~/Content/images/warningErrSmall.png")" name="imgErr" border="0" id="imgErr" align=top />
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "lblErrorLogin";
                                settings.Text = (string)ViewData["ErrorMessage"]; 
                                settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                settings.ControlStyle.Font.Italic = true;
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;  
                            }
                        ).GetHtml()
                    }

                </div>
            } 
        </div>
    </div>
</div>

